Skip to Content

DELETE Tariffs

Use this endpoint to delete a tariff within a branch.

User level: Advanced

Endpoint

DELETE /v1/{scopeId}/tariffs/{id}
PropertyValue
MethodDELETE
Scope IDBranch UUID
Resource IDRequired tariff UUID
AuthenticationAuthorization: Bearer <access_token>
Required scoperoutix:tariffs:write
Request bodyNot required

Delete rules

  • Tariffs are branch-or-null resources, but the request still uses a branch UUID in the URL.
  • The API validates server-side whether the tariff can be deleted within the allowed branch context.

Example request

curl -X DELETE "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/tariffs/550e8400-e29b-41d4-a716-446655440071" \ -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..."

Example response

{ "data": { "id": "550e8400-e29b-41d4-a716-446655440071", "deleted": true }, "version": "v1" }
Last updated on